from setuptools import setup, find_packages

VERSION = "0.0.7"
DESCRIPTION = "Python package for BANF Co., Ltd."

setup(
    name="banf",
    version=VERSION,
    description=DESCRIPTION,
    author="BANF Co., Ltd.",
    author_email="gwjeon@banf.co.kr",
    packages=find_packages(),
    install_requires=[
        "bleach>=6.0.0",
        "bokeh>=3.1.1",
        "boto3>=1.26.154",
        "botocore>=1.29.154",
        "certifi>=2023.5.7",
        "charset-normalizer>=3.1.0",
        "click>=8.1.3",
        "cloudpickle>=2.2.1",
        "colorcet>=3.0.1",
        "contourpy>=1.1.0",
        "cycler>=0.11.0",
        "dask>=2023.6.0",
        "datashader>=0.15.0",
        "datashape>=0.5.2",
        "fonttools>=4.40.0",
        "fsspec>=2023.6.0",
        "holoviews>=1.16.2",
        "idna>=3.4",
        "ipympl>=0.9.3",
        "ipython-genutils>=0.2.0",
        "ipywidgets>=8.0.6",
        "jaraco.classes>=3.2.3",
        "Jinja2>=3.1.2",
        "jmespath>=1.0.1",
        "joblib>=1.2.0",
        "jupyterlab-widgets>=3.0.7",
        "keyring>=24.2.0",
        "kiwisolver>=1.4.4",
        "linkify-it-py>=2.0.2",
        "llvmlite>=0.40.1rc1",
        "locket>=1.0.0",
        "Markdown>=3.4.3",
        "markdown-it-py>=2.2.0",
        "MarkupSafe>=2.1.3",
        "matplotlib>=3.7.1",
        "mdit-py-plugins>=0.4.0",
        "mdurl>=0.1.2",
        "more-itertools>=9.1.0",
        "multipledispatch>=0.6.0",
        "numba>=0.57.0",
        "numpy>=1.24.3",
        "pandas>=2.0.2",
        "panel>=1.1.0",
        "param>=1.13.0",
        "partd>=1.4.0",
        "Pillow>=9.5.0",
        "pkginfo>=1.9.6",
        "pyarrow>=12.0.1",
        "pyct>=0.5.0",
        "pyparsing>=3.0.9",
        "pytz>=2023.3",
        "pyviz-comms>=2.3.2",
        "PyYAML>=6.0",
        "readme-renderer>=40.0",
        "requests>=2.31.0",
        "requests-toolbelt>=1.0.0",
        "rfc3986>=2.0.0",
        "rich>=13.4.2",
        "s3transfer>=0.6.1",
        "scikit-learn>=1.2.2",
        "scipy>=1.10.1",
        "tqdm>=4.65.0",
        "twine>=4.0.2",
        "tzdata>=2023.3",
        "uc-micro-py>=1.0.2",
        "urllib3>=1.26.16",
        "webencodings>=0.5.1",
        "widgetsnbextension>=4.0.7",
        "xarray>=2023.5.0",
        "xyzservices>=2023.5.0",
    ],
    keywords=[
        "tire sensor",
        "mqtt",
        "aws",
        "BANF Co., Ltd.",
    ],
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
    ],
)
